# Generated by Django 2.1.4 on 2020-11-03 12:07

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='attn',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('ATT', models.IntegerField(default=0)),
            ],
        ),
        migrations.CreateModel(
            name='course',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('subject', models.CharField(max_length=20)),
            ],
        ),
        migrations.CreateModel(
            name='prof',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('course', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='myapp.course')),
                ('useri', models.ForeignKey(blank=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'permissions': (('is_prof', 'is_prof'),),
            },
        ),
        migrations.CreateModel(
            name='student',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('roll', models.IntegerField(default=0)),
                ('year', models.IntegerField(default=2017)),
                ('email', models.EmailField(blank=True, max_length=254, null=True)),
                ('department', models.CharField(choices=[('Computer Science', 'Computer Science'), ('Mechanical', 'Mechanical'), ('Mathematics', 'Mathematics')], help_text='department', max_length=100)),
                ('photo', models.FileField(blank=True, upload_to='images/')),
                ('useri', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'permissions': (('is_student', 'is_student'),),
            },
        ),
        migrations.AddField(
            model_name='attn',
            name='course',
            field=models.ForeignKey(on_delete=models.SET(0), to='myapp.course'),
        ),
        migrations.AddField(
            model_name='attn',
            name='student',
            field=models.ForeignKey(on_delete=models.SET(0), to='myapp.student'),
        ),
    ]
